Eclipse Platform Release 3.7

## org.eclipse.core.resources
Interface IResourceDeltaVisitor

All Known Implementing Classes:
  FileDocumentProvider.FileSynchronizer

    public interface IResourceDeltaVisitor

An objects that visits resource deltas.

Usage:

     class Visitor implements IResourceDeltaVisitor {
         public boolean visit(IResourceDelta delta) {
             switch (delta.getKind()) {
             case IResourceDelta.ADDED :
                 // handle added resource
                 break;
             case IResourceDelta.REMOVED :
                 // handle removed resource
                 break;
             case IResourceDelta.CHANGED :
                 // handle changed resource
                 break;
             }
         return true;
         }
     }
     IResourceDelta rootDelta = ...;
     rootDelta.accept(new Visitor());

Clients may implement this interface.

See Also:
  `IResource.accept(IResourceVisitor)`

Method Summary
`boolean` `visit(IResourceDelta delta)` Visits the given resource delta.

Method Detail

### visit

    boolean visit(IResourceDelta delta)
                  throws CoreException

  Visits the given resource delta.

  Returns:
    `true` if the resource delta's children should be visited; `false` if they should be skipped.
  Throws:
    `CoreException` - if the visit fails for some reason.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.